#
# spec file for package rpm (Version 2.4.12)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libz gettext

%define version 2.4.12
%define rpm_arch i386
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         rpm
Release:      12
Copyright:    GPL
Group: 
Provides:     rpminst 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      rpm - Red Hat Package Manager
Version:      2.4.12
Source: 	ftp://ftp.rpm.org/pub/rpm/dist/rpm-2.4.x/rpm-2.4.12.tar.gz
Source1:        RPM-HOWTO.html.tar.gz
Source2:        RPM-Tips.html.tar.gz
Patch:		rpm-2.4.12.dif
BuildRoot: 	/tmp/rpm
%description
rpm (Red Hat Package Manager) is the main tool for managing software packages
of the S.u.S.E Linux distribution.
rpm can be used to install and remove software packages; with rpm it's easy to
update packages.  rpm keep track of all these manipulations in a central
database. This way it is possible to get an overview of all installed
packages; rpm also supports database queries.

Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%prep
%setup
%patch
rm -rf $RPM_BUILD_ROOT
mkdir  $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/src/packages
mkdir -p $RPM_BUILD_ROOT/usr/src/packages/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/packages/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/packages/RPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/packages/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/packages/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/packages/RPMS/%{rpm_arch}
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
mkdir RPM-HOWTO
tar -C RPM-HOWTO -xzvf $RPM_SOURCE_DIR/RPM-HOWTO.html.tar.gz
mkdir RPM-Tips
tar -C RPM-Tips -xzvf $RPM_SOURCE_DIR/RPM-Tips.html.tar.gz
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
%install
make installprefix="$RPM_BUILD_ROOT" install
Check
%clean
rm -rf $RPM_BUILD_ROOT
%files
%doc 	RPM-PGP-KEY CHANGES groups
%doc 	docs/*
%doc 	RPM-HOWTO
%doc 	RPM-Tips
	/bin/rpm
	/usr/bin/rpm2cpio
	/usr/bin/gendiff
	/usr/bin/find-provides
	/usr/bin/find-requires
	/usr/man/man8/rpm.8.gz
	/usr/man/man8/rpm2cpio.8.gz
%config	/usr/lib/rpmrc
%config	/usr/lib/rpmpopt
%dir 	%attr(1777,root,root) /usr/src/packages/BUILD
%dir 	%attr(1777,root,root) /usr/src/packages/SPECS
%dir 	%attr(1777,root,root) /usr/src/packages/SOURCES
%dir 	%attr(1777,root,root) /usr/src/packages/SRPMS
%dir	%attr(1777,root,root) /usr/src/packages/RPMS
%dir	%attr(1777,root,root) /usr/src/packages/RPMS/%{rpm_arch}
	/usr/share/locale/sv/LC_MESSAGES/rpm.mo
	/usr/share/locale/de/LC_MESSAGES/rpm.mo
	/usr/share/locale/pt-br/LC_MESSAGES/rpm.mo
	/usr/include/rpm
	/usr/lib/librpm.a
%dir 	/var/lib/rpm

